astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Astronomical Coordinate Systems (`astropy.coordinates`) »
- StaticMatrixTransform

# StaticMatrixTransform

class `astropy.coordinates.``StaticMatrixTransform`(matrix, fromsys, tosys, priority=1, register_graph=None)

  Bases: `astropy.coordinates.CoordinateTransform`

  A coordinate transformation defined as a 3 x 3 cartesian transformation matrix.

  This is distinct from DynamicMatrixTransform in that this kind of matrix is independent of frame attributes. That is, it depends only on the class of the frame.

  Parameters:

  matrix : array-like or callable

  > A 3 x 3 matrix for transforming 3-vectors. In most cases will be unitary (although this is not strictly required). If a callable, will be called with no arguments to get the matrix.

  fromsys : class

  > The coordinate frame class to start from.

  tosys : class

  > The coordinate frame class to transform into.

  priority : number

  > The priority if this transform when finding the shortest coordinate transform path - large numbers are lower priorities.

  register_graph : `TransformGraph` or `None`

  > A graph to register this transformation with on creation, or `None` to leave it unregistered.

  Raises:

  ValueError

  > If the matrix is not 3 x 3

  Methods Summary

  `__call__`(fromcoord, toframe) |

  Methods Documentation

  `__call__`(fromcoord, toframe)